import '../internal/inner_headers.dart';

///
/// The push configuration class.
///
///
///
class EMPushConfigs {
  EMPushConfigs._private({
    this.displayStyle = DisplayStyle.Simple,
    this.displayName,
  });

  ///
  /// The display type of push notifications.
  ///
  ///
  ///
  final DisplayStyle displayStyle;

  ///
  /// The user's nickname to be displayed in the notification.
  ///
  ///
  ///
  final String? displayName;

  /// @nodoc
  factory EMPushConfigs.fromJson(Map map) {
    return EMPushConfigs._private(
      displayStyle:
          map['pushStyle'] == 0 ? DisplayStyle.Simple : DisplayStyle.Summary,
      displayName: map["displayName"],
    );
  }
}
