import 'em_chat_enums.dart';

///
/// Reaction Operation
///
///
///
class ReactionOperation {
  ///
  /// Reaction Operation
  ///
  /// Param [userId] Operator userId.
  ///
  /// Param [reaction] Changed reaction.
  ///
  /// Param [operate] Operate type.
  ///
  ///
  ///
  const ReactionOperation._private(
    this.userId,
    this.reaction,
    this.operate,
  );

  ///
  /// Operator userId.
  ///
  ///
  ///
  final String userId;

  ///
  /// Changed reaction.
  ///
  ///
  ///
  final String reaction;

  ///
  /// Operate type.
  ///
  ///
  ///
  final ReactionOperate operate;

  /// @nodoc
  factory ReactionOperation.fromJson(Map map) {
    String userId = map["userId"];
    String reaction = map["reaction"];

    ReactionOperate operate =
        map["operate"] ?? 0 == 0 ? ReactionOperate.Remove : ReactionOperate.Add;

    return ReactionOperation._private(userId, reaction, operate);
  }
}
